<?
function PostIt ($url, $postdata, $file = null) {
    $data = "";
    $boundary = "---------------------".substr(md5(rand(0,32000)), 0, 10);

    foreach($postdata as $key => $val) {
        $data .= "--$boundary\n";
        $data .= "Content-Disposition: form-data; name=\"".$key."\"\n\n".$val."\n";
    }

    $data .= "--$boundary\n";

    if ($file) {       
       $fileContents = file_get_contents($file);
       $data .= "Content-Disposition: form-data; name=\"$file\"; filename=\"{$file}\"\n";
       $data .= "Content-Type: image/jpeg\n";
       $data .= "Content-Transfer-Encoding: binary\n\n";
       $data .= $fileContents."\n";
       $data .= "--$boundary--\n";    
    }

    $params = array('http' => array(
           'method' => 'POST',
           'header' => 'Content-Type: multipart/form-data; boundary='.$boundary,
           'user_agent'=> $_SERVER['HTTP_USER_AGENT'],
           'content' => $data
        ));

   $ctx = stream_context_create($params);
   $fp = fopen($url, 'rb', false, $ctx);

   if (!$fp) {
      echo "Problem with $url, $php_errormsg";
   }

   $response = @stream_get_contents($fp);
   if ($response === false) {
      echo ("Problem reading data from $url, $php_errormsg");
   }
   return $response;
}


?>